import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class KeyboardUnfocusArea extends StatelessWidget {
  final Widget child;

  const KeyboardUnfocusArea({
    @required this.child,
  });

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () async {
        await SystemChannels.textInput.invokeMethod('TextInput.hide');

        FocusScopeNode currentFocus = FocusScope.of(context);
        if (!currentFocus.hasPrimaryFocus) currentFocus.unfocus();
      },
      child: child,
    );
  }
}
